QGIS Application - Bug report #2877
menu icons do not show under Ubuntu 10.04
2010-07-08 05:53 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12937
Description

Under Ubuntu 10.04, with both qgis 1.4 installed from repository or self compiled, menu icons do not show, including plugin ones.

Related issues:
Duplicated by QGIS Application - Bug report # 4434: "project properties” and ... Closed 2011-10-24

History

#1 - 2010-07-09 06:46 AM - Charles Timko -

Are you using qgis 1.4 or the trunk version?

#2 - 2010-07-09 06:52 AM - Giovanni Manghi

Replying to [comment:1 ctimko]:

Are you using qgis 1.4 or the trunk version?

tested both, ggis 1.4 from ubuntugis ppa and trunk self compiled. They both behave the same. This has been already confirmed by others in the users ML.

#3 - 2010-07-22 10:40 AM - Paolo Cavallini

On Debian it's ok. Maybe some qt library missing? If so, it should work in kubuntu: can someone check?

#4 - 2010-07-22 04:04 PM - Borys Jurgiel

No problem with trunk on kubuntu 10.04

#5 - 2010-08-05 10:56 AM - Giovanni Manghi

Even in the official screenshots the icons are missing ;)

http://www.qgis.org/en/component/content/article/108.html

any hint?
#6 - 2010-08-05 12:33 PM - Jiirgen Fischer

Replying to [comment:6 lutra]:

Even in the official screenshots the icons are missing ;)

Or maybe they are just too transparent to see.

#7 - 2010-08-05 12:43 PM - Giovanni Manghi

Or maybe they are just too transparent to see.

in ggis or in the screenshot?

seems to me they are clearly missing

http://www.flickr.com/photos/linfiniti/4694451630/lightbox/

#8 - 2010-08-05 12:58 PM - Jiirgen Fischer

Replying to [comment:8 lutra]:

Or maybe they are just too transparent to see.

in qgis or in the screenshot?

In the screenshot of qgis. Maybe the icons on the not fully opaque menus are fully transparent - ie. invisible. Try a different desktop themes.

#9 - 2010-08-05 01:19 PM - Giovanni Manghi

In the screenshot of qgis. Maybe the icons on the not fully opaque menus are fully transparent - ie. invisible. Try a different desktop themes.

just did it, no icons with all the themes available by default with ubuntu.

#10 - 2010-08-05 01:42 PM - Charles Timko -

Same for me. | am not seeing the icons at all.

#11 - 2010-08-05 11:55 PM - Borys Jurgiel

In Kubuntu, at Layer->Toggle editing | have a checkbox beside the icon. | can't see it on the screenshot and it seems the space on the left couldn't contain
both of them - it's reserved either for icons only or for checkboxes/radiobutton only.

For comparision, in the File menu, there are no widget so the space should be reserved for icons only.
#12 - 2011-03-02 07:52 AM - Paolo Cavallini

Is this still valid?

#13 - 2011-03-03 06:38 AM - Anne Ghisla

Icons are present on self-compiled QGIS trunk, commit:44441dec (SVN r15305). Possibly also in older revisions...

Anyone can replicate the bug under Ubuntu?

#14 - 2011-03-03 07:19 AM - Paolo Cavallini
- Resolution set to fixed

- Status changed from Open to Closed

Closing it for now. Please reopen if appropriate.
